.deal {
  &-img {
    height: 19rem;
    object-fit: contain;
    width: 100%;
  }

  &-rating {
    border: solid 1px $gray-600;
    border-radius: .25rem;
    display: inline-flex;
    padding: $spacer*.25;

    &__lower, &__rating, &__upper {
      padding: 0 $spacer*.25;
    }

    &__lower, &__upper {
      cursor: pointer;

      &.active {
        cursor: auto;
      }
    }

    &__lower {
      color: $danger;
    }

    &__rating {
      &--hot {
        color: $red;
      }
    }

    &__upper {
      color: $success;
    }

    &.active {
      & .deal-rating__lower {
        color: shade-color($danger, 50%);
      }

      & .deal-rating__upper {
        color: shade-color($success, 50%);
      }
    }
  }

  &__title {
    font-size: $font-size-base;
    font-weight: $font-weight-bold;
  }

  &__price {
    color: $red;
    font-weight: $font-weight-bold;
  }

  &__usual-price {
    color: $gray-600;
    font-weight: $font-weight-bold;
    text-decoration: line-through;
  }

  &__reduction {
    color: $gray-800;
    font-weight: $font-weight-bold;
  }
}
